<template>
<div class="alert" :class="alertClasses" role="alert">
  <slot></slot>
  <button type="button" class="alert__close close" @click="$emit('onClose')">
    <span aria-hidden="true">&times;</span>
  </button>
</div>
</template>
<script lang="ts">
import Vue from 'vue';
import { Component, Prop } from 'vue-property-decorator';

@Component
export default class Alert extends Vue {
  @Prop({ default: 'primary' }) alertType!: string

  @Prop({ default: false }) popup!: boolean

  get alertClasses() {
    return {
      'alert-primary': this.alertType === 'primary',
      'alert-success': this.alertType === 'success',
      'alert--popup': this.popup,
    };
  }
}
</script>
